import java.util.Scanner;

public class Joueur {
	private Paquet main;
	private String nom;
	private double argent;
	private double mise;
	private boolean endRound;
	private boolean depasse;
	public Joueur(String nom, double argent) {
		this.main = new Paquet();
		this.nom = nom;
		this.argent = argent;
		this.mise = 0;
		this.endRound=false;
		this.depasse=false;
	}
	public Paquet getMain() {
		return main;
	}
	public String getNom() {
		return nom;
	}
	public double getArgent() {
		return argent;
	}
	public void setMain(Paquet main) {
		this.main = main;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public void setArgent(double argent) {
		this.argent = argent;
	}
	
	
	public double getMise() {
		return mise;
	}
	public void setMise(double mise) {
		this.mise = mise;
	}

	
	public boolean getEndRound() {
		return endRound;
	}
	public void setEndRound(boolean endRound) {
		this.endRound = endRound;
	}
	
	
	public boolean isDepasse() {
		return depasse;
	}
	public void setDepasse(boolean depasse) {
		this.depasse = depasse;
	}
	public void miser(){
		Scanner userInput = new Scanner(System.in);
		boolean finMise =false;
		double mise =userInput.nextDouble();
		while(finMise==false){
			if(mise>this.argent){
				System.err.println("Vous ne pouvez pas miser plus que votre argent ");
				System.out.println(this.nom+" veuillez rentrez un montant correcte.");
				this.argent=this.argent;
				double m =userInput.nextDouble();
				mise = m;
			}else{
				this.mise=mise;
				this.argent = this.argent-this.mise;
				System.out.println(this.nom +" a misé "+ mise + "euros, il lui reste " +this.argent+" euros.");
				finMise=true;
			}
		}
		
	}

	public void hit(){
		this.getMain().draw(Tour.paquetJeu);
		System.out.println(this.nom+" vous tirez "+ this.getMain().getCard(this.getMain().deckSize() - 1).toString());
		System.out.println(this.getNom()+", Votre main :" + this.getMain().toString());
		if(this.getMain().cardsValue()>21){
			System.out.println("Vous dépasser. La valeur de votre main est de :  " + this.getMain().cardsValue());
			System.out.println(this.getNom()+", vous avez maintenant : " +this.getArgent()+" euros.");
			this.getMain().moveAllToDeck(Tour.paquetJeu);
			this.setEndRound(true);
			this.depasse=true;
		}
	}

}
	
	

