package serveur;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;

import metier.Joueur;
import service.BlackJackServiceImpl;



public class ServeurRMI {
	public static void main(String[] args) {
		try {
			LocateRegistry.createRegistry(1099);
			BlackJackServiceImpl skeleton = new BlackJackServiceImpl();
			System.out.println(skeleton.toString());
			Naming.rebind("rmi://localhost:1099/BJ",skeleton);
			System.out.println("Bienvenue au BlackJack !");
		} catch (Exception e) {
			e.printStackTrace();
		}

}
}